## backintime 1.2.1

=== debian/changelog ===
backintime (1.2.1-3ubuntu0.3) jammy-security; urgency=medium

  * Fix compatibility with rsync security update (LP: #2009756)
    - debian/patches/rsync_compat.patch: fix changes to argument protection
      in common/config.py, common/snapshots.py, common/sshtools.py,
      common/test/test_sshtools.py, common/test/test_takeSnapshot.py,
      common/tools.py.

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Thu, 09 Mar 2023 08:02:57 -0500

backintime (1.2.1-3ubuntu0.1) jammy; urgency=medium

  * Make tests compatible with python 3.10 to avoid crash on application
    start. (LP: #1976164)

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Tue, 24 May 2022 22:58:51 +0200

backintime (1.2.1-3) unstable; urgency=medium

  * Cherry-pick patch for #946349 from upstream Git repository
    (Closes: #946349).

 -- Fabian Wolff <fabi.wolff@arcor.de>  Mon, 31 May 2021 15:14:50 +0200

backintime (1.2.1-2) unstable; urgency=medium

  * Source-only reupload after the package has been in the NEW queue
    (due to backintime-qt).
  * Change incorrect dependency on python3-dbus.mainloop.qt to the Qt 5
    python3-dbus.mainloop.pyqt5 (thanks to Michael Weghorn for pointing
    this out to me!) (Closes: #941686).
  * Audit and update debian/copyright (Closes: #941984, #942155).
  * Upgrade to Standards-Version 4.4.1 (no changes).
  * Add additional backintime-qt_polkit.1.gz symlink to backintime.1.gz
    to silence the binary-without-manpage Lintian warning.

 -- Fabian Wolff <fabi.wolff@arcor.de>  Wed, 30 Oct 2019 22:35:50 +0100

backintime (1.2.1-1) unstable; urgency=medium

  [ Fabian Wolff ]
  * Add myself as co-maintainer in debian/control.
  * New upstream release (Closes: #930589, #935341, #879611).
  * Upgrade to Standards-Version 4.4.0 (no changes).
  * Upgrade to debhelper compat level 12.
  * Remove debian/patches (all fixed upstream).
  * Introduce new backintime-qt package, because upstream moved from
    Qt 4 to Qt 5. Make backintime-qt4 a transitional package.
  * Drop the transitional backintime-{gnome,kde} packages
    (Closes: #939139, #939140).

  [ Jonathan Wiltshire ]
  * Team upload.
  * Add a debian/NEWS entry regarding possible change to repository
    permissions

 -- Jonathan Wiltshire <jmw@debian.org>  Sun, 15 Sep 2019 15:02:51 +0100

=== debian/control ===
Source: backintime
Section: utils
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Jonathan Wiltshire <jmw@debian.org>
Uploaders: Fabian Wolff <fabi.wolff@arcor.de>
Build-Depends: debhelper-compat (= 12),
 python3,
 dh-python,
Standards-Version: 4.4.1
Homepage: https://github.com/bit-team/backintime
Vcs-Browser: https://salsa.debian.org/jmw/pkg-backintime
Vcs-Git: https://salsa.debian.org/jmw/pkg-backintime.git

Package: backintime-common
Architecture: all
Depends: rsync, cron | cron-daemon, python3-keyring, python3-dbus,
 openssh-client, ${python3:Depends}, ${misc:Depends}
Recommends: backintime-qt
Suggests: sshfs, encfs, powermgmt-base
Description: simple backup/snapshot system (common files)
 Back In Time is a framework for rsync and cron for the purpose of
 taking snapshots and backups of specified folders. It minimizes disk space use
 by taking a snapshot only if the directory has been changed, and hard links
 for unmodified files if it has. The user can schedule regular backups using
 cron.
 .
 This is the common framework for Back In Time. For a graphical interface,
 install backintime-qt.
 .
 To back up to SSH or encrypted filesystems, install the additional sshfs
 or encfs packages.

Package: backintime-qt
Architecture: all
Breaks: backintime-kde (<< 1.1.6-1~), backintime-gnome (<< 1.1.6-1~), backintime-qt4 (<< 1.2.1-0.1~)
Replaces: backintime-kde (<< 1.1.6-1~), backintime-gnome (<< 1.1.6-1~), backintime-kde4, backintime-qt4 (<< 1.2.1-0.1~)
Conflicts: backintime-kde4
Depends: x11-utils, libnotify-bin, python3-pyqt5, python3-dbus.mainloop.pyqt5, policykit-1,
 backintime-common (= ${source:Version}), ${python3:Depends}, ${misc:Depends}
Recommends: python3-secretstorage
Suggests: meld | kompare
Description: simple backup/snapshot system (graphical interface)
 Back In Time is a framework for rsync and cron for the purpose of
 taking snapshots and backups of specified folders. It minimizes disk space use
 by taking a snapshot only if the directory has been changed, and hard links
 for unmodified files if it has. The user can schedule regular backups using
 cron.
 .
 This is the graphical interface for Back In Time.

Package: backintime-qt4
Architecture: all
Section: oldlibs
Depends: backintime-qt, ${misc:Depends}
Description: Qt 4 front-end for backintime (transitional package)
 This is a transitional package and can safely be removed.

## backintime 1.3.2

=== debian/changelog ===
backintime (1.3.2-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream release (Closes: #1008653, #865744).
  * d/watch: support also latest versions without initial v
    (Closes: #1003776).
  * Remove d/patches: applied upstream.
  * Update d/copyright.

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Mon, 25 Apr 2022 14:02:48 +0200

=== debian/watch ===
version=4
https://github.com/bit-team/backintime/releases .*/v?(\d\S*)/backintime-\1\.tar\.(?:gz|bz2|xz)

## backintime 1.3.3

=== debian/changelog ===
backintime (1.3.3-4) unstable; urgency=medium

  [ Fabio Fantoni ]
  * Add python3-packaging to backintime-common depends.
    Thanks to Anabelle Vandenburgh (Closes: #1030051)
  * d/patches: add upstream commit "Release 1.3.3" that was missed in source tag
    (Closes: #1030506)
  * Update standards version to 4.6.2, no changes needed

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 04 Feb 2023 22:03:58 +0000

backintime (1.3.3-3) unstable; urgency=medium

  * Source upload, no changes

 -- Jonathan Wiltshire <jmw@debian.org>  Fri, 20 Jan 2023 08:58:12 +0000

backintime (1.3.3-2) unstable; urgency=medium

  * Add depends on pkexec

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 19 Jan 2023 22:21:30 +0000

backintime (1.3.3-1) unstable; urgency=medium

  [Jonathan Wiltshire]
  * Drop backintime-qt4 transitional package (Closes: #1010221)

  [ Debian Janitor ]
  * Bump debhelper from old 12 to 13.
  * Set upstream metadata fields: Bug-Database, Bug-Submit.
  * Set upstream metadata fields: Repository-Browse.
  * debian/watch: Use GitHub /tags rather than /releases page.
  * Update standards version to 4.6.1, no changes needed.
  * Update lintian override info format.
  * Remove constraints unnecessary since buster:
    + backintime-qt: Drop versioned constraint on backintime-gnome and
      backintime-kde in Replaces.
    + backintime-qt: Drop versioned constraint on backintime-gnome and
      backintime-kde in Breaks.

  [ Fabio Fantoni ]
  * Fix debian/watch.
  * New upstream version 1.3.3 (Closes: #1027823).

 -- Jonathan Wiltshire <jmw@debian.org>  Thu, 19 Jan 2023 21:47:52 +0000

=== debian/control ===
Source: backintime
Section: utils
Priority: optional
Maintainer: Jonathan Wiltshire <jmw@debian.org>
Uploaders: Fabian Wolff <fabi.wolff@arcor.de>
Build-Depends: debhelper-compat (= 13), dh-python, python3
Standards-Version: 4.6.2
Homepage: https://github.com/bit-team/backintime
Vcs-Browser: https://salsa.debian.org/jmw/pkg-backintime
Vcs-Git: https://salsa.debian.org/jmw/pkg-backintime.git

Package: backintime-common
Architecture: all
Depends:
 cron | cron-daemon,
 openssh-client,
 python3-dbus,
 python3-keyring,
 python3-packaging,
 rsync,
 ${misc:Depends},
 ${python3:Depends},
Recommends: backintime-qt
Suggests: encfs, powermgmt-base, sshfs
Description: simple backup/snapshot system (common files)
 Back In Time is a framework for rsync and cron for the purpose of
 taking snapshots and backups of specified folders. It minimizes disk space use
 by taking a snapshot only if the directory has been changed, and hard links
 for unmodified files if it has. The user can schedule regular backups using
 cron.
 .
 This is the common framework for Back In Time. For a graphical interface,
 install backintime-qt.
 .
 To back up to SSH or encrypted filesystems, install the additional sshfs
 or encfs packages.

Package: backintime-qt
Architecture: all
Breaks: backintime-qt4 (<< 1.2.1-0.1~)
Replaces: backintime-kde4, backintime-qt4 (<< 1.2.1-0.1~)
Conflicts: backintime-kde4
Depends:
 backintime-common (= ${source:Version}),
 libnotify-bin,
 pkexec,
 polkitd,
 python3-dbus.mainloop.pyqt5,
 python3-pyqt5,
 x11-utils,
 ${misc:Depends},
 ${python3:Depends},
Recommends: python3-secretstorage
Suggests: meld | kompare
Description: simple backup/snapshot system (graphical interface)
 Back In Time is a framework for rsync and cron for the purpose of
 taking snapshots and backups of specified folders. It minimizes disk space use
 by taking a snapshot only if the directory has been changed, and hard links
 for unmodified files if it has. The user can schedule regular backups using
 cron.
 .
 This is the graphical interface for Back In Time.

=== debian/watch ===
version=4
https://github.com/bit-team/backintime/tags .*/v?(\d.*)@ARCHIVE_EXT@

## backintime 1.4.3

=== debian/changelog ===
backintime (1.4.3-1) unstable; urgency=medium

  * New upstream version 1.4.3 (Closes: #990343)
  * d/patches/dbus-in-usr-share.patch: remove (applied upstream)
  * Update d/copyright

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sun, 25 Feb 2024 13:30:41 +0000

backintime (1.4.1-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream release (Closes: #998105, #973760)
  * d/patches/release-1.3.3.patch: remove (applied upstream)
  * Update d/copyright

  [ Jonathan Wiltshire]
  * Add Fabio Fantoni to uploaders
  * backintime-qt: install dbus configuration file in /usr/share; remove copy
    in /etc if not modified

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 30 Dec 2023 18:07:55 +0000

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Jonathan Wiltshire <jmw@debian.org>
-Uploaders: Fabian Wolff <fabi.wolff@arcor.de>
+Uploaders:
+ Fabian Wolff <fabi.wolff@arcor.de>,
+ Fabio Fantoni <fantonifabio@tiscali.it>,
 Build-Depends: debhelper-compat (= 13), dh-python, python3
 Standards-Version: 4.6.2
 Homepage: https://github.com/bit-team/backintime

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

override_dh_auto_clean:
	rm -rf locale common/po/*.mo
	find $(CURDIR) -name "*\.py[co]" -delete
	# these get regenerated
	rm -f */man/C/*.1.gz
	rm -f common/Makefile qt/Makefile
	rm -f common/config-example-*.gz

override_dh_auto_configure:
	cd common && ./configure
	cd qt && ./configure

override_dh_auto_build:
	cd common && $(MAKE) build
	cd qt && $(MAKE) build

override_dh_auto_install:
	cd common && DESTDIR=../debian/backintime-common $(MAKE) install
	#rm -rf $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common
	rm -f $(CURDIR)/debian/backintime-common/usr/share/doc/backintime/LICENSE
	rm -f $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common/CHANGES

	cd qt && DESTDIR=../debian/backintime-qt $(MAKE) install
	rm -rf $(CURDIR)/debian/backintime-qt/usr/share/doc/backintime-qt

override_dh_python3:
	dh_python3 /usr/share/backintime/

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_compress:
	dh_compress -XLICENSE

%:
	dh $@ --with python3

## backintime 1.5.2

=== debian/changelog ===
backintime (1.5.2-1) unstable; urgency=medium

  [ Fabio Fantoni ]
  * New upstream version 1.5.2
  * d/control: changes deps from qt5 to qt6
  * use dh-sequence-python3
  * Update standards version to 4.7.0, no changes needed
  * update d/copyright

  [ Jonathan Wiltshire ]
  * Promote sshfs to Recommends (Closes: #1072474)

 -- Jonathan Wiltshire <jmw@debian.org>  Sat, 10 Aug 2024 12:38:02 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,8 @@
 Uploaders:
  Fabian Wolff <fabi.wolff@arcor.de>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
-Build-Depends: debhelper-compat (= 13), dh-python, python3
-Standards-Version: 4.6.2
+Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3
+Standards-Version: 4.7.0
 Homepage: https://github.com/bit-team/backintime
 Vcs-Browser: https://salsa.debian.org/jmw/pkg-backintime
 Vcs-Git: https://salsa.debian.org/jmw/pkg-backintime.git
@@ -22,8 +22,8 @@
  rsync,
  ${misc:Depends},
  ${python3:Depends},
-Recommends: backintime-qt
-Suggests: encfs, powermgmt-base, sshfs
+Recommends: backintime-qt, sshfs
+Suggests: encfs, powermgmt-base
 Description: simple backup/snapshot system (common files)
  Back In Time is a framework for rsync and cron for the purpose of
  taking snapshots and backups of specified folders. It minimizes disk space use
@@ -47,8 +47,8 @@
  libnotify-bin,
  pkexec,
  polkitd,
- python3-dbus.mainloop.pyqt5,
- python3-pyqt5,
+ python3-dbus.mainloop.pyqt6,
+ python3-pyqt6,
  x11-utils,
  ${misc:Depends},
  ${python3:Depends},

=== debian/rules ===
--- 
+++ 
@@ -39,4 +39,4 @@
 	dh_compress -XLICENSE
 
 %:
-	dh $@ --with python3
+	dh $@

## backintime 1.5.3

=== debian/changelog ===
backintime (1.5.3-1) unstable; urgency=medium

  * New upstream version 1.5.3 (Closes: #985257)
  * Add nocache to suggests of backintime-common (Closes: #1084024)
  * d/watch: correct sorting pre release versions (Closes: #1087686)
  * update d/copyright
  * Improve d/gbp.conf

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 14 Feb 2025 12:12:23 +0100

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,7 @@
  ${misc:Depends},
  ${python3:Depends},
 Recommends: backintime-qt, sshfs
-Suggests: encfs, powermgmt-base
+Suggests: encfs, nocache, powermgmt-base
 Description: simple backup/snapshot system (common files)
  Back In Time is a framework for rsync and cron for the purpose of
  taking snapshots and backups of specified folders. It minimizes disk space use

## backintime 1.5.4

=== debian/changelog ===
backintime (1.5.4-1) unstable; urgency=medium

  * New upstream version 1.5.4 (Closes: #1101208)
  * Update standards version to 4.7.2, no changes needed (Closes: #1099171)
  * Update d/copyright
  * d/rules: remove extra license files

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Fri, 11 Apr 2025 11:07:06 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
  Fabian Wolff <fabi.wolff@arcor.de>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
 Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/bit-team/backintime
 Vcs-Browser: https://salsa.debian.org/jmw/pkg-backintime
 Vcs-Git: https://salsa.debian.org/jmw/pkg-backintime.git

## backintime 1.5.5

=== common/doc-dev/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
PAPER         =
BUILDDIR      = _build

# User-friendly check for sphinx-build
ifeq ($(shell which $(SPHINXBUILD) >/dev/null 2>&1; echo $$?), 1)
$(error The '$(SPHINXBUILD)' command was not found. Make sure you have Sphinx installed, then set the SPHINXBUILD environment variable to point to the full path of the '$(SPHINXBUILD)' executable. Alternatively you can add the directory with the executable to your PATH. If you don't have Sphinx installed, grab it from http://sphinx-doc.org/)
endif

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -d $(BUILDDIR)/doctrees $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  latexpdfja to make LaTeX files and run them through platex/dvipdfmx"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make Texinfo files"
	@echo "  info       to make Texinfo files and run them through makeinfo"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  xml        to make Docutils-native XML files"
	@echo "  pseudoxml  to make pseudoxml-XML files for display purposes"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"

clean:
	rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b html $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/BackInTime.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/BackInTime.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/BackInTime"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/BackInTime"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

latexpdfja:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through platex and dvipdfmx..."
	$(MAKE) -C $(BUILDDIR)/latex all-pdf-ja
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished. The Texinfo files are in $(BUILDDIR)/texinfo."
	@echo "Run \`make' in that directory to run these through makeinfo" \
	      "(use \`make info' here to do that automatically)."

info:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo "Running Texinfo files through makeinfo..."
	make -C $(BUILDDIR)/texinfo info
	@echo "makeinfo finished; the Info files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

xml:
	$(SPHINXBUILD) -b xml $(ALLSPHINXOPTS) $(BUILDDIR)/xml
	@echo
	@echo "Build finished. The XML files are in $(BUILDDIR)/xml."

pseudoxml:
	$(SPHINXBUILD) -b pseudoxml $(ALLSPHINXOPTS) $(BUILDDIR)/pseudoxml
	@echo
	@echo "Build finished. The pseudo-XML files are in $(BUILDDIR)/pseudoxml."

htmlOpen: html
	xdg-open $(BUILDDIR)/html/index.html

=== debian/changelog ===
backintime (1.5.5-1) unstable; urgency=medium

  * Add sensible debian/gbp.conf
  * New upstream version (closes: #1106754)

 -- Jonathan Wiltshire <jmw@debian.org>  Tue, 17 Jun 2025 09:00:53 +0100

=== debian/rules ===
--- 
+++ 
@@ -24,6 +24,7 @@
 	cd common && DESTDIR=../debian/backintime-common $(MAKE) install
 	#rm -rf $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common
 	rm -f $(CURDIR)/debian/backintime-common/usr/share/doc/backintime/LICENSE
+	rm -rf $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common/LICENSES/
 	rm -f $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common/CHANGES
 
 	cd qt && DESTDIR=../debian/backintime-qt $(MAKE) install

=== debian/watch ===
version=4
opts=uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
  https://github.com/bit-team/backintime/tags .*/v?@ANY_VERSION@@ARCHIVE_EXT@

## backintime 1.6.1

=== debian/changelog ===
backintime (1.6.1-1) unstable; urgency=medium

  * New upstream version 1.6.1 (Closes: #1117254)
  * Update standards version to 4.7.3, no changes needed
  * d/control:
    - add gettext, mkdocs-material and asciidoctor to Build-Depends
    - backintime-common Recommends: add gocryptfs
    - backintime-qt deps: add python3-pyqt6.qtsvg, qt6-translations-l10n
    - backintime-qt Recommends: add qt6-wayland
    - remove obsolete Breaks/Replaces/Conflicts
  * d/menu: remove deprecated Debian menu file
  * remove d/README.source, have only obsolete content
  * d/upstream/metadata: add Repository field
  * d/salsa-ci.yml: licenserecon now included in the main pipeline
  * add d/p/0001-Fix-missing-man5-directory-creation-in-configure.patch
  * update d/copyright
  * d/rules:
    - generate user manual and put in backintime-common
      in /usr/share/doc/backintime-common/manual/ (Closes: #1091714)
    - remove sitemap.xml and 404.html not needed for local docs
    - don't remove "duplicate" license files for now
  * Register documentation via doc-base
  * Add patch to disable Google Fonts for privacy (font: false)
  * Update d/lrc.config

 -- Fabio Fantoni <fantonifabio@tiscali.it>  Sat, 28 Feb 2026 11:16:16 +0100

=== debian/control ===
--- 
+++ 
@@ -5,8 +5,14 @@
 Uploaders:
  Fabian Wolff <fabi.wolff@arcor.de>,
  Fabio Fantoni <fantonifabio@tiscali.it>,
-Build-Depends: debhelper-compat (= 13), dh-sequence-python3, python3
-Standards-Version: 4.7.2
+Build-Depends:
+ asciidoctor,
+ debhelper-compat (= 13),
+ dh-sequence-python3,
+ gettext,
+ mkdocs-material,
+ python3,
+Standards-Version: 4.7.3
 Homepage: https://github.com/bit-team/backintime
 Vcs-Browser: https://salsa.debian.org/jmw/pkg-backintime
 Vcs-Git: https://salsa.debian.org/jmw/pkg-backintime.git
@@ -22,7 +28,7 @@
  rsync,
  ${misc:Depends},
  ${python3:Depends},
-Recommends: backintime-qt, sshfs
+Recommends: backintime-qt, gocryptfs, sshfs
 Suggests: encfs, nocache, powermgmt-base
 Description: simple backup/snapshot system (common files)
  Back In Time is a framework for rsync and cron for the purpose of
@@ -39,9 +45,6 @@
 
 Package: backintime-qt
 Architecture: all
-Breaks: backintime-qt4 (<< 1.2.1-0.1~)
-Replaces: backintime-kde4, backintime-qt4 (<< 1.2.1-0.1~)
-Conflicts: backintime-kde4
 Depends:
  backintime-common (= ${source:Version}),
  libnotify-bin,
@@ -49,10 +52,12 @@
  polkitd,
  python3-dbus.mainloop.pyqt6,
  python3-pyqt6,
+ python3-pyqt6.qtsvg,
+ qt6-translations-l10n,
  x11-utils,
  ${misc:Depends},
  ${python3:Depends},
-Recommends: python3-secretstorage
+Recommends: python3-secretstorage, qt6-wayland
 Suggests: meld | kompare
 Description: simple backup/snapshot system (graphical interface)
  Back In Time is a framework for rsync and cron for the purpose of

=== debian/rules ===
--- 
+++ 
@@ -22,10 +22,13 @@
 
 override_dh_auto_install:
 	cd common && DESTDIR=../debian/backintime-common $(MAKE) install
-	#rm -rf $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common
-	rm -f $(CURDIR)/debian/backintime-common/usr/share/doc/backintime/LICENSE
-	rm -rf $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common/LICENSES/
+	# keep "duplicated" license files for now, upstream need to improve part using them
+	#rm -rf $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common/LICENSES/
 	rm -f $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common/CHANGES
+	mkdocs build -f doc/manual/mkdocs.yml -d $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common/manual/
+	rm -f $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common/manual/sitemap.xml
+	rm -f $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common/manual/sitemap.xml.gz
+	rm -f $(CURDIR)/debian/backintime-common/usr/share/doc/backintime-common/manual/404.html
 
 	cd qt && DESTDIR=../debian/backintime-qt $(MAKE) install
 	rm -rf $(CURDIR)/debian/backintime-qt/usr/share/doc/backintime-qt
